Skip to main content
POST
/
monitor
/
{monitorId}
/
run
Run a monitor
curl --request POST \
  --url https://api.firecrawl.dev/v2/monitor/{monitorId}/run \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "monitorId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "status": "queued",
    "trigger": "scheduled",
    "scheduledFor": "2023-11-07T05:31:56Z",
    "startedAt": "2023-11-07T05:31:56Z",
    "finishedAt": "2023-11-07T05:31:56Z",
    "estimatedCredits": 123,
    "reservedCredits": 123,
    "actualCredits": 123,
    "billingStatus": "<string>",
    "summary": {
      "totalPages": 123,
      "same": 123,
      "changed": 123,
      "new": 123,
      "removed": 123,
      "error": 123
    },
    "targetResults": "<array>",
    "notificationStatus": {},
    "error": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z"
  }
}

Documentation Index

Fetch the complete documentation index at: https://firecrawl-mog-monitoring-docs.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

monitorId
string<uuid>
required

The monitor ID

Response

Monitor check queued

success
boolean
id
string<uuid>
data
object